Subject: Re: bug#26459: 26.0.50; loaddefs.el is regenerated after each "git pull"

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Apr 2017 10:21:46 +0300

> From: Glenn Morris <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 13 Apr 2017 21:08:17 -0400
> 
> Paul Eggert wrote:
> 
> > international/uni-bidi.el:0:0: error: file-missing: (Opening input
> > file No such file or directory
> > /home/eggert/src/gnu/emacs/static-checking/lisp/international/uni-bidi.el)
> > make[2]: *** [Makefile:198: loaddefs.el] Error 255
> 
> At first glance, I don't see how this could be related to recent changes.

Neither do I, FWIW.  That recent change just populated loaddefs.tmp
before updating it, that's all.  Since nothing else in the build
references loaddefs.tmp, I don't see how it could be related.

> IIUC, making lisp's gen-lisp also generate the unidata files (as well as
> leim and semantic) ought to fix your issue? In fact, I'm not sure why I
> didn't do that - maybe it turns out not to be so straightforward.

I think this is the right direction, but I can only wonder how come
this problem didn't come up before.  I'm building with -j6 and -j8 for
a very long time, and never saw such failures, although clearly the
generated unidata files might not yet exist when loaddefs.el is
produced.  Is this likely to happen only on slow machines?